### Hierarchy

- JsonFormsAngularService

## Index

### Properties

- _state
- state

### Accessors

- $state

### Methods

- getState
- init
- registerRenderer
- registerRenderers
- unregisterRenderer
- updateConfig
- updateCore
- updateLocale
- updateSubject
- updateUiSchema

## Properties

### Private _state

_state: JsonFormsSubStates

- Defined in jsonforms.service.ts:28

### Private state

state: BehaviorSubject<JsonFormsState>

- Defined in jsonforms.service.ts:29

## Accessors

### $state

- get $state(): Observable<JsonFormsState>

- - Defined in jsonforms.service.ts:37

  #### Returns Observable<JsonFormsState>

## Methods

### getState

- getState(): JsonFormsState

- - Defined in jsonforms.service.ts:91

  #### Returns JsonFormsState

### init

- init(initialState?: JsonFormsSubStates): void

- - Defined in jsonforms.service.ts:31

  #### Parameters

  - ##### Default value initialState: JsonFormsSubStates = {}

  #### Returns void

### registerRenderer

- registerRenderer(renderer: JsonFormsBaseRenderer<UISchemaElement>, tester: RankedTester): void

- - Defined in jsonforms.service.ts:44

  #### Parameters

  - ##### renderer: JsonFormsBaseRenderer<UISchemaElement>

  - ##### tester: RankedTester

  #### Returns void

### registerRenderers

- registerRenderers(renderers: JsonFormsRendererRegistryEntry[]): void

- - Defined in jsonforms.service.ts:48

  #### Parameters

  - ##### renderers: JsonFormsRendererRegistryEntry[]

  #### Returns void

### unregisterRenderer

- unregisterRenderer(tester: RankedTester): void

- - Defined in jsonforms.service.ts:53

  #### Parameters

  - ##### tester: RankedTester

  #### Returns void

### updateConfig

- updateConfig<T>(setConfigAction: T): T

- - Defined in jsonforms.service.ts:84

  #### Type parameters

  - #### T: SetConfigAction

  #### Parameters

  - ##### setConfigAction: T

  #### Returns T

### updateCore

- updateCore<T>(coreAction: T): T

- - Defined in jsonforms.service.ts:70

  #### Type parameters

  - #### T: CoreActions

  #### Parameters

  - ##### coreAction: T

  #### Returns T

### updateLocale

- updateLocale<T>(localeAction: T): T

- - Defined in jsonforms.service.ts:63

  #### Type parameters

  - #### T: LocaleActions

  #### Parameters

  - ##### localeAction: T

  #### Returns T

### Private updateSubject

- updateSubject(): void

- - Defined in jsonforms.service.ts:95

  #### Returns void

### updateUiSchema

- updateUiSchema<T>(uischemaAction: T): T

- - Defined in jsonforms.service.ts:77

  #### Type parameters

  - #### T: UISchemaActions

  #### Parameters

  - ##### uischemaAction: T

  #### Returns T

Generated using TypeDoc